[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.PositionDockRect

Get the DockRect for an possible drop.

## Declaration

Source position: controls.pp line 1476

`protected procedure TControl.PositionDockRect(`
`DragDockObject: TDragDockObject`
`); virtual;`

## Arguments

`DragDockObject` |  | Object instance (TDragDockObject) with the control positioned and aligned in the method.

## Description

Calls the DockManager.PositionDockRect in the target site, or DragDockObject.AdjustDockRect after moving the undocked control rectangle to the DragPos. AdjustDockRect takes the hotspot of the DockRect into account.

## See also

TDragDockObject.AdjustDockRect |  | Adjust the DockRect relative to the dragging hotspot (DockOffset).